org.apache.geode.modules.gatewaydelta

## Class GatewayDeltaCreateEvent

- java.lang.Object
- - org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent
  - - org.apache.geode.modules.gatewaydelta.GatewayDeltaCreateEvent

- All Implemented Interfaces:
    java.io.Serializable, DataSerializable, GatewayDeltaEvent

      public class GatewayDeltaCreateEvent
      extends AbstractGatewayDeltaEvent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent

      `key, regionName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayDeltaCreateEvent()`
    `GatewayDeltaCreateEvent(java.lang.String regionName, java.lang.String key, byte[] gatewayDelta)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Cache cache)`
    `void` | `fromData(java.io.DataInput in)` Reads the state of this object as primitive data from the given `DataInput`.
    `byte[]` | `getGatewayDelta()`
    `static void` | `registerInstantiator(int id)`
    `void` | `toData(java.io.DataOutput out)` Writes the state of this object as primitive data to the given `DataOutput`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.geode.modules.gatewaydelta.AbstractGatewayDeltaEvent

      `getKey, getRegion, getRegionName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GatewayDeltaCreateEvent

          public GatewayDeltaCreateEvent()

    - #### GatewayDeltaCreateEvent

          public GatewayDeltaCreateEvent(java.lang.String regionName,
                                         java.lang.String key,
                                         byte[] gatewayDelta)

  - ### Method Detail

    - #### getGatewayDelta

          public byte[] getGatewayDelta()

    - #### apply

          public void apply(Cache cache)

    - #### fromData

          public void fromData(java.io.DataInput in)
                        throws java.io.IOException,
                               java.lang.ClassNotFoundException

      Description copied from interface: `DataSerializable`
      Reads the state of this object as primitive data from the given `DataInput`.
      Specified by:
        `fromData` in interface `DataSerializable`
      Overrides:
        `fromData` in class `AbstractGatewayDeltaEvent`
      Throws:
        `java.io.IOException` - A problem occurs while reading from `in`
        `java.lang.ClassNotFoundException` - A class could not be loaded while reading from `in`

    - #### toData

          public void toData(java.io.DataOutput out)
                      throws java.io.IOException

      Description copied from interface: `DataSerializable`
      Writes the state of this object as primitive data to the given `DataOutput`.

      Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

      Specified by:
        `toData` in interface `DataSerializable`
      Overrides:
        `toData` in class `AbstractGatewayDeltaEvent`
      Throws:
        `java.io.IOException` - A problem occurs while writing to `out`

    - #### registerInstantiator

          public static void registerInstantiator(int id)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`